## org.exist.client
Class InteractiveClient

    java.lang.Object
      org.exist.client.InteractiveClient

public class InteractiveClient
extends java.lang.Object

Command-line client based on the XML:DB API.

Author:
  wolf

Nested Class Summary
`static class` `InteractiveClient.ProgressObserver`

Field Summary
`static java.lang.String` `CONFIGURATION`
`static java.lang.String` `DRIVER`
`static java.lang.String` `PASSWORD`
`static java.lang.String` `URI`
`static java.lang.String` `USER`

Constructor Summary
`InteractiveClient()`

Method Summary
`static java.lang.String` `getExceptionMessage(java.lang.Throwable e)`
`static void` `main(java.lang.String[] args)` The main program for the InteractiveClient class.
`void` `printNotice()`
`void` `readlineInputLoop(java.lang.String home)`
`void` `run(java.lang.String[] args)` Main processing method for the InteractiveClient object

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### USER

    public static final java.lang.String USER

See Also:
  Constant Field Values

### PASSWORD

    public static final java.lang.String PASSWORD

See Also:
  Constant Field Values

### URI

    public static final java.lang.String URI

See Also:
  Constant Field Values

### CONFIGURATION

    public static final java.lang.String CONFIGURATION

See Also:
  Constant Field Values

### DRIVER

    public static final java.lang.String DRIVER

See Also:
  Constant Field Values

Constructor Detail

### InteractiveClient

    public InteractiveClient()

Method Detail

### main

    public static void main(java.lang.String[] args)

  The main program for the InteractiveClient class.

  Parameters:
    `args` - The command line arguments

### run

    public void run(java.lang.String[] args)
             throws java.lang.Exception

  Main processing method for the InteractiveClient object

  Parameters:
    `args` - arguments from main()
  Throws:
    `java.lang.Exception`

### getExceptionMessage

    public static final java.lang.String getExceptionMessage(java.lang.Throwable e)

### readlineInputLoop

    public void readlineInputLoop(java.lang.String home)

### printNotice

    public void printNotice()

Copyright (C) Wolfgang Meier. All rights reserved.